User avatar
kusti8
Posts: 3439
Joined: Sat Dec 21, 2013 5:29 pm
Location: USA

Re: I am thinking about buying a "Raspberry kit".

Sun May 03, 2015 2:27 pm

Kweb is written in C. What the author did was, for your convenience was compiled it, ie made the executable files that your can run off the bat (the .deb file). To install only the omxplayerGUI, you need to download the source, with -src after it. There, you create your own binaries for only what you need. Use the instructions I posted and it will install.

Edit: For more in depth, look here: http://www.cs.cornell.edu/~clarkson/cou ... pilers.pdf
There are 10 types of people: those who understand binary and those who don't.

Krassegrand
Posts: 105
Joined: Sat Apr 25, 2015 3:20 pm
Location: Halmstad Sweden

Re: I am thinking about buying a "Raspberry kit".

Sun May 03, 2015 2:39 pm

I think I might have it!

pi@raspberrypi ~ $ wget http://steinerdatenbank.de/software/kwe ... src.tar.gz
--2015-05-03 14:36:58-- http://steinerdatenbank.de/software/kwe ... src.tar.gz
Resolving steinerdatenbank.de (steinerdatenbank.de)... 85.25.144.201
Connecting to steinerdatenbank.de (steinerdatenbank.de)|85.25.144.201|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 1867924 (1.8M) [application/octet-stream]
Saving to: `kweb-1.6.4-src.tar.gz'

100%[======================================>] 1,867,924 256K/s in 7.2s

2015-05-03 14:37:06 (254 KB/s) - `kweb-1.6.4-src.tar.gz' saved [1867924/1867924]

pi@raspberrypi ~ $ tar -xvf kweb-1.6.4-src.tar.gz
kweb-1.6.4-src/kweb
kweb-1.6.4-src/kweb.desktop
kweb-1.6.4-src/kweb_changelog.html
kweb-1.6.4-src/kwebhelper_settings.py
kweb-1.6.4-src/update-ytdl
kweb-1.6.4-src/kweb_manual.pdf
kweb-1.6.4-src/kweb_about_c.html
kweb-1.6.4-src/ginstall-ytdl
kweb-1.6.4-src/kweb_about_o.html
kweb-1.6.4-src/nogui.preset
kweb-1.6.4-src/minimalkioskbrowser.png
kweb-1.6.4-src/omxplayergui.desktop
kweb-1.6.4-src/Makefile
kweb-1.6.4-src/kweb_about_p.html
kweb-1.6.4-src/kweb3.c
kweb-1.6.4-src/kweb_about_m.html
kweb-1.6.4-src/preparekweb
kweb-1.6.4-src/load_config.html
kweb-1.6.4-src/kweb.1.gz
kweb-1.6.4-src/about.css
kweb-1.6.4-src/kweb3
kweb-1.6.4-src/omxplayerGUI_manual.pdf
kweb-1.6.4-src/omxplayergui.py
kweb-1.6.4-src/installomxplayergui
kweb-1.6.4-src/prepare
kweb-1.6.4-src/omxplayergui.png
kweb-1.6.4-src/kweb.c
kweb-1.6.4-src/removeomxplayergui
kweb-1.6.4-src/kweb.debmenu
kweb-1.6.4-src/kwebhelper_set.py
kweb-1.6.4-src/kweb_about_k.html
kweb-1.6.4-src/check.py
kweb-1.6.4-src/ktop
kweb-1.6.4-src/kwebhelper.py
kweb-1.6.4-src/dbuscontrolm.sh
kweb-1.6.4-src/kweb3.desktop
pi@raspberrypi ~ $ cd kweb-1.6.4-src.tar.gz
bash: cd: kweb-1.6.4-src.tar.gz: Not a directory
pi@raspberrypi ~ $ ls
Desktop kweb-1.6.4-src kweb-1.6.4-src.tar.gz
pi@raspberrypi ~ $ cd kweb-1.6.4-src
pi@raspberrypi ~/kweb-1.6.4-src $ sudo ./installomxplayergui
pi@raspberrypi ~/kweb-1.6.4-src $


You guys are great!
Thank You!
Jörgen

Now I am watching the hobbit with omxplayerGUI
I need that because I have a head ace!

Krassegrand
Posts: 105
Joined: Sat Apr 25, 2015 3:20 pm
Location: Halmstad Sweden

Re: I am thinking about buying a "Raspberry kit".

Mon May 04, 2015 10:38 am

Krassegrand wrote: Now I am watching the hobbit with omxplayerGUI
I need that because I have a head ace!
One question came to me and I did not find the answer in the manual.
I have Swedish subs on this Hobbit film but every word with å, ä, ö sost the actual letter witch made it pretty hard to understand. Eg "han dör här" became "han dr hr"
Is there a setting that will fix this?

Jörgen

OttovanZanten
Posts: 61
Joined: Fri Apr 17, 2015 8:45 am
Location: Groningen, the Netherlands

Re: I am thinking about buying a "Raspberry kit".

Mon May 04, 2015 12:13 pm

pluggy wrote:
kusti8 wrote: Ubuntu will make the process much easier than Windows.
+1 By an order of magnitude in my opinion.
On windows all you have to do is open W32DI, open the Raspbian IMG file and click write. Done.
I find it hard to imagine that it can be easier then with Windows. Especially after looking at some page-long tutorials (and the mini tut Dougie placed in this topic)

I'm all for Linux, but in this specific case I think Windows wins when it comes to ease.

User avatar
kusti8
Posts: 3439
Joined: Sat Dec 21, 2013 5:29 pm
Location: USA

Re: I am thinking about buying a "Raspberry kit".

Mon May 04, 2015 12:20 pm

Windows doesn't recognize ext4 file systems so you can't copy filed or run fsck. You have to download an external program to write the image. In Linux, dd comes with it and it's really easy to use. Windows isn't built for this and I don't see how you think it's easier. Linux has the same thing, except no downloading programs.
There are 10 types of people: those who understand binary and those who don't.

Krassegrand
Posts: 105
Joined: Sat Apr 25, 2015 3:20 pm
Location: Halmstad Sweden

Re: I am thinking about buying a "Raspberry kit".

Mon May 04, 2015 5:02 pm

kusti8 wrote:In Linux, dd comes with it and it's really easy to use.
Do You mean in the terminal?

Jörgen

User avatar
kusti8
Posts: 3439
Joined: Sat Dec 21, 2013 5:29 pm
Location: USA

Re: I am thinking about buying a "Raspberry kit".

Mon May 04, 2015 9:01 pm

Yes, in the terminal.
There are 10 types of people: those who understand binary and those who don't.

Krassegrand
Posts: 105
Joined: Sat Apr 25, 2015 3:20 pm
Location: Halmstad Sweden

Re: I am thinking about buying a "Raspberry kit".

Tue May 05, 2015 5:09 am

I tried to install vlc by "sudo apt-get install vlc" and it looked like it was installing but in the end there was an error and recomendation to run an update. I did and it updated something but I still cant find vlc.

Jörgen

Edit
Should I have tried to install again after the updates?
I found this
sudo apt-get install gnome-vlc libdvdcss2
What is the difference to this
sudo apt-get install vlc

fruitoftheloom
Posts: 20681
Joined: Tue Mar 25, 2014 12:40 pm
Location: Delightful Dorset

Re: I am thinking about buying a "Raspberry kit".

Tue May 05, 2015 6:21 am

Krassegrand wrote:I tried to install vlc by "sudo apt-get install vlc" and it looked like it was installing but in the end there was an error and recomendation to run an update. I did and it updated something but I still cant find vlc.

Jörgen

Edit
Should I have tried to install again after the updates?
I found this
sudo apt-get install gnome-vlc libdvdcss2
What is the difference to this
sudo apt-get install vlc
viewtopic.php?f=66&t=59814&hilit=compil ... 2btutorial
Retired disgracefully.....

Krassegrand
Posts: 105
Joined: Sat Apr 25, 2015 3:20 pm
Location: Halmstad Sweden

Re: I am thinking about buying a "Raspberry kit".

Thu May 07, 2015 5:03 pm

I think I will take a break in installing vlc and think a little about the omxplayerGUI instead.

The problems with missing ÅÄÖ (on subtiltes), can that be down to the language setting in Rasbian?
Is it possible to change that?

Jörgen

fruitoftheloom
Posts: 20681
Joined: Tue Mar 25, 2014 12:40 pm
Location: Delightful Dorset

Re: I am thinking about buying a "Raspberry kit".

Thu May 07, 2015 5:09 pm

Retired disgracefully.....

Krassegrand
Posts: 105
Joined: Sat Apr 25, 2015 3:20 pm
Location: Halmstad Sweden

Re: I am thinking about buying a "Raspberry kit".

Thu May 07, 2015 7:00 pm

Great!
That is one off the many pages I will bookmark!

Jörgen

Krassegrand
Posts: 105
Joined: Sat Apr 25, 2015 3:20 pm
Location: Halmstad Sweden

Re: I am thinking about buying a "Raspberry kit".

Wed May 13, 2015 7:50 pm

omxplayer is gaining my respect more and more! It runs media files very nicely and I saw in the manual that it should be able to stream from internet to.

I read in the manual that I would get a faster streaming configuration by installing ytdl (ginstall-ytdl) than the standard youtube-dl (sudo wget https://yt­dl.org/latest/youtube­dl ­O /usr/bin/youtube­dl
sudo chmod a+x /usr/bin/youtube­dl)

I found this in appendix C: in
http://steinerdatenbank.de/software/omx ... manual.pdf

Now to the problem, I put the command ginstall­ytdl in a terminal but Raspbian don't recognize it.
Am I supposed to install Youtube-dl first and then run ginstall­ytdl

fruitoftheloom
Posts: 20681
Joined: Tue Mar 25, 2014 12:40 pm
Location: Delightful Dorset

Re: I am thinking about buying a "Raspberry kit".

Thu May 14, 2015 7:37 am

Krassegrand wrote:omxplayer is gaining my respect more and more! It runs media files very nicely and I saw in the manual that it should be able to stream from internet to.

I read in the manual that I would get a faster streaming configuration by installing ytdl (ginstall-ytdl) than the standard youtube-dl (sudo wget https://yt­dl.org/latest/youtube­dl ­O /usr/bin/youtube­dl
sudo chmod a+x /usr/bin/youtube­dl)

I found this in appendix C: in
http://steinerdatenbank.de/software/omx ... manual.pdf

Now to the problem, I put the command ginstall­ytdl in a terminal but Raspbian don't recognize it.
Am I supposed to install Youtube-dl first and then run ginstall­ytdl
All the information is in your various posts and responses, you just need to read carefully and follow instructions ;)
Retired disgracefully.....

Krassegrand
Posts: 105
Joined: Sat Apr 25, 2015 3:20 pm
Location: Halmstad Sweden

Re: I am thinking about buying a "Raspberry kit".

Thu May 14, 2015 8:17 am

fruitoftheloom wrote:All the information is in your various posts and responses, you just need to read carefully and follow instructions ;)
Well ;)
I make manuals myself sometimes (at work) and know that the are not always as good as I think they are.
Some things I consider basic is not that clear to somebody else, even more if they are not in my area of expertise.
There is a lot of information in this thread. Can I really be shure that all is correct and applicable in my case?

Back to my current problem ginstall­ ytdl does not work
Do I begin with
sudo wget https://yt­dl.org/latest/youtube­dl ­O /usr/bin/youtube­dl
sudo chmod a+x /usr/bin/youtube­

or
apt get youtube-dl
or am I totaly lost?

Jörgen

Krassegrand
Posts: 105
Joined: Sat Apr 25, 2015 3:20 pm
Location: Halmstad Sweden

Re: I am thinking about buying a "Raspberry kit".

Fri May 15, 2015 5:17 pm

it seems I have youtube-dl installed now
i@raspberrypi ~ $ sudo apt-get install youtube-dl
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
ffmpeg libav-tools libavdevice53 libavfilter2 libavfilter3 libavresample1
libopencv-core2.3 libopencv-imgproc2.3 rtmpdump
Suggested packages:
frei0r-plugins mplayer
The following NEW packages will be installed:
ffmpeg libav-tools libavdevice53 libavfilter2 libavfilter3 libavresample1
libopencv-core2.3 libopencv-imgproc2.3 rtmpdump youtube-dl
0 upgraded, 10 newly installed, 0 to remove and 71 not upgraded.
Need to get 5,279 kB of archives.
After this operation, 13.8 MB of additional disk space will be used.
Do you want to continue [Y/n]? y
Get:1 http://archive.raspberrypi.org/debian/ wheezy/main libavdevice53 armhf 6:9.14-1rpi1rpi1 [86.6 kB]
Get:2 http://archive.raspberrypi.org/debian/ wheezy/main libavresample1 armhf 6:9.14-1rpi1rpi1 [84.0 kB]
Get:3 http://mirrordirector.raspbian.org/raspbian/ wheezy/main libopencv-core2.3 armhf 2.3.1-11 [707 kB]
Get:4 http://archive.raspberrypi.org/debian/ wheezy/main libavfilter3 armhf 6:9.14-1rpi1rpi1 [162 kB]
Get:5 http://mirrordirector.raspbian.org/raspbian/ wheezy/main libavfilter2 armhf 6:0.8.17-1+rpi1 [114 kB]
Get:6 http://archive.raspberrypi.org/debian/ wheezy/main libav-tools armhf 6:9.14-1rpi1rpi1 [3,198 kB]
Get:7 http://mirrordirector.raspbian.org/raspbian/ wheezy/main ffmpeg armhf 6:0.8.17-1+rpi1 [149 kB]
Get:8 http://mirrordirector.raspbian.org/raspbian/ wheezy/main libopencv-imgproc2.3 armhf 2.3.1-11 [672 kB]
Get:9 http://mirrordirector.raspbian.org/raspbian/ wheezy/main rtmpdump armhf 2.4+20111222.git4e06e21-1 [55.1 kB]
Get:10 http://mirrordirector.raspbian.org/raspbian/ wheezy/main youtube-dl all 2012.02.27-1 [50.4 kB]
Fetched 5,279 kB in 20s (256 kB/s)
Selecting previously unselected package libavdevice53:armhf.
(Reading database ... 91233 files and directories currently installed.)
Unpacking libavdevice53:armhf (from .../libavdevice53_6%3a9.14-1rpi1rpi1_armhf.deb) ...
Selecting previously unselected package libavresample1:armhf.
Unpacking libavresample1:armhf (from .../libavresample1_6%3a9.14-1rpi1rpi1_armhf.deb) ...
Selecting previously unselected package libavfilter3:armhf.
Unpacking libavfilter3:armhf (from .../libavfilter3_6%3a9.14-1rpi1rpi1_armhf.deb) ...
Selecting previously unselected package libav-tools.
Unpacking libav-tools (from .../libav-tools_6%3a9.14-1rpi1rpi1_armhf.deb) ...
Selecting previously unselected package libopencv-core2.3.
Unpacking libopencv-core2.3 (from .../libopencv-core2.3_2.3.1-11_armhf.deb) ...
Selecting previously unselected package libopencv-imgproc2.3.
Unpacking libopencv-imgproc2.3 (from .../libopencv-imgproc2.3_2.3.1-11_armhf.deb) ...
Selecting previously unselected package libavfilter2:armhf.
Unpacking libavfilter2:armhf (from .../libavfilter2_6%3a0.8.17-1+rpi1_armhf.deb) ...
Selecting previously unselected package ffmpeg.
Unpacking ffmpeg (from .../ffmpeg_6%3a0.8.17-1+rpi1_armhf.deb) ...
Selecting previously unselected package rtmpdump.
Unpacking rtmpdump (from .../rtmpdump_2.4+20111222.git4e06e21-1_armhf.deb) ...
Selecting previously unselected package youtube-dl.
Unpacking youtube-dl (from .../youtube-dl_2012.02.27-1_all.deb) ...
Processing triggers for man-db ...
Setting up libavdevice53:armhf (6:9.14-1rpi1rpi1) ...
Setting up libavresample1:armhf (6:9.14-1rpi1rpi1) ...
Setting up libavfilter3:armhf (6:9.14-1rpi1rpi1) ...
Setting up libav-tools (6:9.14-1rpi1rpi1) ...
Setting up libopencv-core2.3 (2.3.1-11) ...
Setting up libopencv-imgproc2.3 (2.3.1-11) ...
Setting up libavfilter2:armhf (6:0.8.17-1+rpi1) ...
Setting up ffmpeg (6:0.8.17-1+rpi1) ...
Setting up rtmpdump (2.4+20111222.git4e06e21-1) ...
Setting up youtube-dl (2012.02.27-1) ...
pi@raspberrypi ~ $


Am I right

Krassegrand
Posts: 105
Joined: Sat Apr 25, 2015 3:20 pm
Location: Halmstad Sweden

Re: I am thinking about buying a "Raspberry kit".

Fri May 15, 2015 5:37 pm

Why is there - missing when I copy and paste

Krassegrand
Posts: 105
Joined: Sat Apr 25, 2015 3:20 pm
Location: Halmstad Sweden

Re: I am thinking about buying a "Raspberry kit".

Fri May 15, 2015 5:42 pm

But it goes on with

pi@raspberrypi ~ $ sudo wget https://yt-dl.org/latest/youtube-dl -O /usr/bin/youtube-dl
bash: sudo wget https://yt-dl.org/latest/youtube-dl -O /usr/bin/youtube-dl: No such file or directory
pi@raspberrypi ~ $


And so on!

User avatar
rpdom
Posts: 15169
Joined: Sun May 06, 2012 5:17 am
Location: Chelmsford, Essex, UK

Re: I am thinking about buying a "Raspberry kit".

Fri May 15, 2015 5:45 pm

Possibly your browser is putting non-regular space characters in there when you paste the line. Try typing it in manually.

Krassegrand
Posts: 105
Joined: Sat Apr 25, 2015 3:20 pm
Location: Halmstad Sweden

Re: I am thinking about buying a "Raspberry kit".

Fri May 15, 2015 5:56 pm

rpdom wrote:Possibly your browser is putting non-regular space characters in there when you paste the line. Try typing it in manually.
I did it still won't work!

Krassegrand
Posts: 105
Joined: Sat Apr 25, 2015 3:20 pm
Location: Halmstad Sweden

Re: I am thinking about buying a "Raspberry kit".

Sat May 16, 2015 4:15 am

Code: Select all

sudo wget https://yt­-dl.org/latest/youtube­-dl ­-O /usr/bin/youtube­-dl
sudo chmod a+x /usr/bin/youtube­-dl
I will be using this post as a tool to copy from the manual to

Code: Select all

sudo youtube­-dl ­-U

Code: Select all

ginstall-ytdl

Code: Select all

update­yt-dl

Krassegrand
Posts: 105
Joined: Sat Apr 25, 2015 3:20 pm
Location: Halmstad Sweden

Re: I am thinking about buying a "Raspberry kit".

Sat May 16, 2015 4:20 am

Now I pasted the exact command from the manual and it still gets wrong!

pi@raspberrypi ~ $ sudo wget https://yt­-dl.org/latest/youtube­-dl ­-O /usr/bin/youtube­-dl
--2015-05-16 06:17:53-- https://yt-dl.org/latest/youtube%C2%AD-dl
Resolving yt-dl.org (yt-dl.org)... 95.143.172.170, 2001:1a50:11:0:5f:8f:acaa:177
Connecting to yt-dl.org (yt-dl.org)|95.143.172.170|:443... connected.
HTTP request sent, awaiting response... 404 Not Found
2015-05-16 06:17:57 ERROR 404: Not Found.

--2015-05-16 06:17:57-- https://yt-dl.org/latest/youtube%C2%AD-dl
Connecting to yt-dl.org (yt-dl.org)|95.143.172.170|:443... connected.
HTTP request sent, awaiting response... 404 Not Found
2015-05-16 06:18:00 ERROR 404: Not Found.

idn_encode failed (4): `Forbidden leading or trailing minus sign (`-\')'
--2015-05-16 06:18:00-- http://%C2%AD-o/
Resolving ­-o (­-o)... failed: Name or service not known.
wget: unable to resolve host address `­-o'
idn_encode failed (4): `Forbidden leading or trailing minus sign (`-\')'
--2015-05-16 06:18:00-- http://%C2%AD-o/
Resolving ­-o (­-o)... failed: Name or service not known.
wget: unable to resolve host address `­-o'
/usr/bin/youtube­-dl: Scheme missing.
pi@raspberrypi ~ $ sudo chmod a+x /usr/bin/youtube­-dl
chmod: cannot access `/usr/bin/youtube­-dl': No such file or directory
pi@raspberrypi ~ $

gkreidl
Posts: 6090
Joined: Thu Jan 26, 2012 1:07 pm
Location: Germany

Re: I am thinking about buying a "Raspberry kit".

Sat May 16, 2015 7:21 am

Sorry, I didn't look into this thread before and so I didn't know that you are talking about my kweb manual.

Copying and pasting from PDFs can be a real pain. The PDF was created from LibreOffice. It seems, that the minus sign is converted to some strange character either by LibreOffice itself, or by the PDF conversion. And you can get a different output when copying from PDFs depending on the PDF reader, too.

So to be sure, you have to type the commands yourself.

Now regarding youtube-dl installation: The regular apt-get will provide you with an old version, that cannot be updated using "sudo youtube-dl -U" and that makes it useless.

The manual describes two methods to get a working version, but don't mix them!

The first method is the regular one. It installs a working version that can be updated with "youtube-dl -U". A new update is available every few days usually,

The second method is a bit crude; it won't work when you add multiple users, for example. It installs a github version into your home directory and puts a link to that in /usr/bin. It may not be updated with "youtube-dl -U" but with a 'git pull' command. To make things easier, I have added two scripts to the kweb package:
ginstall-ytdl
and
update-ytdl
(Again with a '-' character!)
You'll find both commands in /usr/local/bin.
If installed with the second method, youtube-dl runs twice a fast and you can get daily updates.
Minimal Kiosk Browser (kweb)
Slim, fast webkit browser with support for audio+video+playlists+youtube+pdf+download
Optional fullscreen kiosk mode and command interface for embedded applications
Includes omxplayerGUI, an X front end for omxplayer

Krassegrand
Posts: 105
Joined: Sat Apr 25, 2015 3:20 pm
Location: Halmstad Sweden

Re: I am thinking about buying a "Raspberry kit".

Sat May 16, 2015 8:53 am

gkreidl wrote:You'll find both commands in /usr/local/bin.
Thanks!
Do I have to go to the folder /usr/local/bin to run

ginstall-ytdl
and
update-ytdl

I have allready tryed running them from the terminal, but from home.

Jörgen

Krassegrand
Posts: 105
Joined: Sat Apr 25, 2015 3:20 pm
Location: Halmstad Sweden

Re: I am thinking about buying a "Raspberry kit".

Sat May 16, 2015 10:00 am

Well, I think I will give up

pi@raspberrypi /usr/local $ ginstall-ytdl
bash: ginstall-ytdl: command not found
pi@raspberrypi /usr/local $

Return to “Beginners”